Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application
Class BodyPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.application.BodyPresentationContext

All Implemented Interfaces:
  Serializable

public class BodyPresentationContext
extends PresentationContext

This class represents a portal body component. All presentation-related attributes of a body component are available from instances of this class. Such instances are typically used during portal rendering via look and feel skeleton files (e.g. body.jsp).

See Also:
  `getBodyPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Method Summary
`static BodyPresentationContext` | `getBodyPresentationContext(HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `BodyPresentationContext`.
`String` | `getOnloadScript()` Returns any configured onload script code that should appear in an HTML/XHTML body's onload attribute.
`String` | `getOnunloadScript()` Returns any configured 'onunload' script code that should appear in an HTML/XHTML body's 'onunload' attribute.

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOnloadScript

    public String getOnloadScript()

  Returns any configured onload script code that should appear in an HTML/XHTML body's onload attribute. This information is the aggregation of code generated by components of the portal runtime and/or configured in the look and feel's skin.properties file.

  Returns:
    A string containing the aggregated script code to be executed after the body element has loaded into the consuming client (typically an HTML/XHTML browser supporting JavaScript or another client-side scripting language)

### getOnunloadScript

    public String getOnunloadScript()

  Returns any configured 'onunload' script code that should appear in an HTML/XHTML body's 'onunload' attribute. This information is the aggregation of code generated by components of the portal runtime and/or configured in the look and feel's skin.properties file.

  Returns:
    A string containing the aggregated script code to be executed after the body element has unloaded from the consuming client (typically an HTML/XHTML browser supporting JavaScript or another client-side scripting language)

### getBodyPresentationContext

    public static BodyPresentationContext getBodyPresentationContext(HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `BodyPresentationContext`. Note this method will only work if called from within a portal (typically, from the body.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters:
    `request` - The current HTTPServletRequest instance
  Returns:
    A reference to the current BodyPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved